package il.ac.tau.cs.sw1.simplesearch;

import java.util.Collection;
import java.util.List;

/**
 * A word index allows for a quick search over a large collection of words. It
 * supports two services, the first is populating the index with words, the
 * second is searching for a word.
 */
public interface WordIndex {

	/**
	 * Add the words originating in the specifies URL.
	 * 
	 * @param words
	 *            - collection of words to add to the index
	 * @param strURL
	 *            - the location of the page containing the words
	 */
	void index(Collection<String> words, String strURL);

	/**
	 * Search for a given word in the index
	 * 
	 * @param word
	 *            - the word to search
	 * @return A list of pages containing the word. The pages are ordered
	 *         according to the relative importance of the word within them.
	 */
	List<String> search(String word);
}